Get cluster namespace Deployment details

Get cluster namespace Deployment details

get

Get detailed information for Deployment in the specified cluster and namespace.

Path parameters
clusterIdstringRequired
namespaceNamestringRequired
deploymentNamestringRequired
Responses
chevron-right
200

OK

*/*
creationTimestampstringOptionalExample: 2023-05-02 07:12:02
deploymentstringOptional

deployment information

Example: {"apiVersion":"apps/v1","kind":"Deployment"...
deploymentYamlstringOptional

deployment information(YAML)

Example: apiVersion: apps/v1 kind: Deployment metadata: ...
desiredPodCntintegerOptional

Number of pods to provide

Example: 1
imagesstring[]Optional

Image list

Example: regi.acloud.run/library/log-api:1.3.0
namestringOptional

Deployement name

Example: cocktail-log-api
namespacestringOptional

namespace name

Example: cocktail-system
readyPodCntintegerOptional

Number of ready pods

Example: 1
get
/v1/clusters/{clusterId}/namespaces/{namespaceName}/deployments/{deploymentName}
200

OK